# gfs_pio_ungetc

## Name

gfs_pio_ungetc -- push a character back

## Synopsis

    #include <gfarm/gfarm.h>

```int gfs_pio_ungetc``(GFS_File `gf`, int `c`);`

## DESCRIPTION

`gfs_pio_ungetc()` pushes a character `c` back to the file `gf`. `gfs_pio_ungetc()` is needed to follow `gfs_pio_getc(3)`.

## RETURN VALUES

`EOF`

  `gfs_pio_ungetc()` does not follow `gfs_pio_getc(3)`.

Others

  The function terminated successfully.

## SEE ALSO

gfs_pio_create(3), gfs_pio_error(3), gfs_pio_getc(3), gfs_pio_open(3)